# VersionCatalogsExtension

interface VersionCatalogsExtension : Iterable<T>

Gives access to all version catalogs available.

#### Since

7.0

## Functions

find
Link copied to clipboard
abstract fun find(name: String): Optional<VersionCatalog>
Tries to find a catalog with the corresponding name
forEach
Link copied to clipboard
open fun forEach(p: Consumer<in T>)
getCatalogNames
Link copied to clipboard
abstract fun getCatalogNames(): Set<String>
Returns the list of catalog names
iterator
Link copied to clipboard
abstract fun iterator(): Iterator<T>
named
Link copied to clipboard
open fun named(name: String): VersionCatalog
Returns the catalog with the supplied name or throws an exception if it doesn't exist.
spliterator
Link copied to clipboard
open fun spliterator(): Spliterator<T>